@echo off
REM
REM This batch will improve Fanart disk access
REM
set OSFMountDirectory=C:\Program Files\OSFMount\
set JunctionDirectory=C:\Program Files\Junction\
set SageTVDirectory=C:\Program Files\SageTV\SageTV\
set FanartDestination=F:

REM RAM Disk Size in Mb
set RAMDiskSize=128

REM Accepted values (as written): 512, 1024, 2048, 4096, 8192, 16K, 32K, 64K
set RAMDiskAllocationUnitSize=8192

REM
REM Check wheter is UP/DOWN operation
REM
if "%1"=="DOWN" goto down

REM -- UP --

REM
REM Create the RAM Disk
REM
cd %OSFMountDirectory%
OSFMount.com -d -m %FanartDestination%
OSFMount.com -a -t vm -s %RAMDiskSize%M -m %FanartDestination%
format %FanartDestination% /FS:NTFS /A:%RAMDiskAllocationUnitSize% /V:Fanart /Q /Y

REM
REM Create a Windows virtual folder for the Fanart cache
REM
mkdir %FanartDestination%\userdata\Phoenix\cache
rmdir /S /Q "%SageTVDirectory%userdata"

REM
REM Create a Windows virtual folder for the Thumbnails cache
REM
mkdir %FanartDestination%\GeneratedThumbnails
rmdir /S /Q "%SageTVDirectory%GeneratedThumbnails"

REM
REM Create the Junctions
REM
cd %JunctionDirectory%
junction.exe /accepteula -q "%SageTVDirectory%userdata" "%FanartDestination%\userdata"
junction.exe /accepteula -q "%SageTVDirectory%GeneratedThumbnails" "%FanartDestination%\GeneratedThumbnails"
goto end

REM -- DOWN --

:down
REM
REM Remove the Junctions
REM
rmdir /S /Q "%SageTVDirectory%userdata"
rmdir /S /Q "%SageTVDirectory%GeneratedThumbnails"

REM
REM Destroy the RAM Disk
REM
cd %OSFMountDirectory%
OSFMount.com -D -m %FanartDestination%

REM -----------------------------------------------------------

REM
REM End of script exit point
REM
:end
